<template>
  <div class="card">
    <img :src="img" alt="" class="rounded card-img-top" />
    <div class="card-body">
      <h4 class="card-title">{{name}}</h4>
      <p class="card-text">{{breed}}</p>
      <div @click="goToDetails()" class="btn btn-primary">See Details</div>
    </div>
  </div>
</template>


<style scoped>
.card {
  border: 2px solid blue;
}
img {
  height: 100px;
}
</style>


<script>
export default {
  name: 'CardComponent',
  props: {
    name: {
      type: String,
      required: true,
    },
    img: {
      type: String,
      required: true,
    },
    id: {
      type: Number,
      required: true,
    },
    breed: {
      type: String,
      required: true,
    },
  },
  methods: {
    goToDetails(){
      this.$router.push(`/details/${this.id}`)
    }
  }
}
</script>